/*
 * USB Shim layer header
 *
 * Copyright (C) 2010, Broadcom Corporation
 * All Rights Reserved.
 * 
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
 * the contents of this file may not be disclosed to third parties, copied
 * or duplicated in any form, in whole or in part, without the prior
 * written permission of Broadcom Corporation.
 *
 * $Id: bcm_usbshim.h,v 1.2.2.2 2010/03/04 18:21:40 Exp $
 */
#include <linux/usb.h>
#include <linux/version.h>

struct s_usburb
{
	struct urb *(*bcm_alloc_urb)(int);
	void (*bcm_free_urb)(struct urb *);
	void (*bcm_kill_urb)(struct urb *);
	int  (*bcm_submit_urb)(struct urb *);
	void (*bcm_register)(struct usb_driver *);
	void (*bcm_deregister)(struct usb_driver *);
	int (*bcm_autopm_set_interface)(struct usb_interface *);
};

extern const struct s_usburb bcm_usburb;
